package com.example.union_ad_ssgf.event

import java.util.HashMap

open class AdEvent(posId: String?, adId: String?, viewId: Int?, action: String?) {
    // 广告位 id
    private var posId: String? = null

    // 广告 id
    private var adId: String? = null

    private var viewId: Int? = null

    // 操作
    private var action: String? = null

    init {
        this.adId = adId
        this.posId = posId
        this.action = action
        this.viewId = viewId
    }

    /**
     * 转换为 Map 方面传输
     * @return 转换后的 Map 对象
     */
    open fun toMap(): HashMap<String, Any?> {
        val map = HashMap<String, Any?>()
        map["adId"] = adId
        map["posId"] = posId
        map["action"] = action
        map["viewId"] = viewId
        return map
    }
}
