package com.example.union_ad_ssgf.config

import android.annotation.SuppressLint

class UnionADConfig {

    /*初始化代码块*/
    init {
        _instance = this
    }

    companion object {
        // 插件代理对象
        @SuppressLint("StaticFieldLeak")
        private lateinit var _instance: UnionADConfig

        fun getInstance(): UnionADConfig {
            return _instance
        }

        // Banner View
        const val KEY_BANNER_VIEW = "flutter_qq_ads_banner"

        // Feed View
        const val KEY_FEED_VIEW = "flutter_qq_ads_feed"

        // 广告参数
        const val KEY_POSID = "posId"

        // 广告参数
        const val KEY_ADID = "adId"

        // logo 参数
        const val KEY_LOGO = "logo"

        // fetchDelay 参数
        const val KEY_FETCH_DELAY = "fetchDelay"
    }

}