package com.example.union_ad_ssgf.event


class AdEventHandler {
    companion object {

        // 广告事件处理对象
        @Volatile private var _instance: AdEventHandler? = null

        /**
         * 获取广告事件处理类
         * @return 广告事件处理对象
         */
        fun getInstance(): AdEventHandler? {
            if (_instance == null) {
                synchronized(AdEventHandler::class.java) { _instance = AdEventHandler() }
            }
            return _instance
        }
    }

    /**
     * 添加广告事件
     * @param event 广告事件
     */
    fun sendEvent(event: AdEvent?) {
        if (event != null) {
//            PluginDelegate.getInstance().addEvent(event.toMap())
        }
    }
}
